# $Revision: 1.53 $, $Date: 2010/06/06 08:30:57 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (interactive)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	PAM
Summary:	Authen::PAM - Perl interface to PAM library
Summary(pl.UTF-8):	Authen::PAM - interfejs perlowy do biblioteki PAM
Name:		perl-Authen-PAM
Version:	0.16
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Vendor:		Nikolay Pelov <pelov@cs.kuleuven.ac.be>
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7278471dfa694d9ef312bc92d7099af2
URL:		http://www.cs.kuleuven.ac.be/~pelov/pam/
BuildRequires:	pam-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::PAM module provides a Perl interface to the PAM library.

%description -l pl.UTF-8
Moduł Authen::PAM umożliwia dostęp z Perla do biblioteki PAM.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/*.pm
%dir %{perl_vendorarch}/auto/Authen/PAM
%{perl_vendorarch}/auto/Authen/PAM/PAM.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/PAM/PAM.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-PAM.spec,v $
Revision 1.53  2010/06/06 08:30:57  arekm
- release 5

Revision 1.52  2009/03/14 11:15:31  hawk
- release 4

Revision 1.51  2008/04/26 13:26:56  tommat
- rel 3, STBR please
- rebuild fixes symbol lookup error: /usr/lib/perl5/vendor_perl/5.10.0/i686-pld-linux-thread-multi/auto/Authen/PAM/PAM.so: undefined symbol: Perl_pad_sv

Revision 1.50  2008-02-10 11:59:54  arekm
- rel 2

Revision 1.49  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.48  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.46  2005/11/15 22:19:23  czucz
- updated to 0.16

Revision 1.45  2004/12/03 20:51:42  qboosh
- fixed bcond comment

Revision 1.44  2004/12/01 12:24:39  radek
- autoupdated to 0.15

Revision 1.43  2004/11/03 21:01:01  paladine
- formatting

Revision 1.42  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.41  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.40  2004/04/17 06:28:03  ankry
- better descriptions/summaries

Revision 1.39  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.38  2004/03/09 20:51:51  adamg
- new style bconds

Revision 1.37  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.36  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:00:24  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.31  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/13 00:01:01  ankry
- merge from RA-branch: updated to 0.14

Revision 1.29  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:26:38  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/12/24 23:53:58  radek
- turned off tests by default -- require user input

Revision 1.25  2002/09/29 10:47:43  ankry
- added tests and translations
- removed .pod and .packlist from %%files
- added vendor, fixed license, cleaning
- release 2

Revision 1.24  2002/07/11 09:46:07  qboosh
- new %%doc

Revision 1.23  2002/07/11 07:57:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:06:13  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/07/25 09:05:35  mis
- autoupdated to 0.12

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:03:53  kloczek
- updated to 0.11.

Revision 1.9  2000/12/27 18:18:27  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/27 18:32:05  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:07:42  kloczek
- updated to 0.09.

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
